﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.v16.2, Version=16.2.20162.1023, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager runat="server"></asp:ScriptManager>
            <ig:WebDataGrid ID="WebDataGrid" runat="server" Height="350px" Width="400px" AutoGenerateColumns="False">
                <Columns>
                    <ig:BoundDataField Key="ServiceName" DataFieldName="ServiceName">
                        <Header Text="ServiceName"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Availability" DataFieldName="Availability">
                        <Header Text="Availability"></Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Selection CellClickAction="Cell" CellSelectType="Single">
                        <SelectionClientEvents CellSelectionChanged="WebDataGrid_On_CellSelectionChanged" />
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>
        </div>
    </form>
    <script type="text/javascript">
        function WebDataGrid_On_CellSelectionChanged(sender, evtArgs) {
            var selectedCells = evtArgs.getSelectedCells(),
                selectedCell = selectedCells.getItem(0),
                redirectUrl = "http://infragistics.com";

            alert("You have selected cell with value " + selectedCell.get_value() + ".\nRedirecting to url: " + redirectUrl);

            // redirect to the target url
            window.location = redirectUrl;
        }
    </script>
</body>
</html>
