﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.WebDataGrid.DataSource = GenerateDataSource();
            this.WebDataGrid.DataBind();
        }
    }

    private DataTable GenerateDataSource()
    {
        var table = new DataTable();
        table.Columns.Add("ServiceName", typeof(string));
        table.Columns.Add("Availability", typeof(string));

        var row = table.NewRow();
        row["ServiceName"] = "XYZ";
        row["Availability"] = "100%";
        table.Rows.Add(row);

        row = table.NewRow();
        row["ServiceName"] = "ABC";
        row["Availability"] = "45%";
        table.Rows.Add(row);

        return table;
    }
}